### Function

# Vips Area new_array

#### Declaration [src]

    VipsArea*
    vips_area_new_array (
      GType type,
      size_t sizeof_type,
      int n
    )

#### Description [src]

An area which holds an array of elements of some `GType`. To set values for the elements, get the pointer and write.

See also

`vips_area_unref()`.

#### Parameters

`type`

  Type: `GType`

  `GType` of elements to store.

`sizeof_type`

  Type: `size_t`

  `sizeof()` an element in the array.

`n`

  Type: `int`

  Number of elements in the array.

#### Return value

Type: `VipsArea`

The new `VipsArea`.

The caller of the function takes ownership of the data, and is responsible for freeing it.